apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: vcf-loader
spec:
  concurrencyPolicy: Forbid
  schedule: "*/5 * * * *"
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: vcf-loader
              image: registry.gitlab.com/precmed/deployment/lovd-db-loader:3.0.0
              imagePullPolicy: Always
              env:
                - name: S3_GATEWAY
                  value: "172.16.1.66"
                - name: CROMWELL_PORT
                  value: "8000"
                - name: NAMESPACE
                  value: "default"
                - name: CLEANUP_THRESHOLD
                  value: "100"
                - name: GROUPS
                  value: '["bioacademy-gr", "certh-gr", "eie-gr", "fleming-gr", "forth-gr", "med-uoa-gr", "rrp-demokritos-gr", "uoc-gr", "testers", "testing-vast"]'
                # bioacademy-gr
                - name: S3_BIOACADEMY_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-bioacademy-gr
                      key: access_key
                - name: S3_BIOACADEMY_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-bioacademy-gr
                      key: secret_key
                - name: MYSQL_HOST_BIOACADEMY_GR
                  value: "mysql-lovd-bioacademy-gr"
                - name: MYSQL_USERNAME_BIOACADEMY_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-bioacademy-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_BIOACADEMY_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-bioacademy-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_BIOACADEMY_GR
                  value: "lovd"
                - name: LOVD_HOST_BIOACADEMY_GR
                  value: "lovd-bioacademy-gr"
                # certh-gr
                - name: S3_CERTH_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-certh-gr
                      key: access_key
                - name: S3_CERTH_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-certh-gr
                      key: secret_key
                - name: MYSQL_HOST_CERTH_GR
                  value: "mysql-lovd-certh-gr"
                - name: MYSQL_USERNAME_CERTH_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-certh-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_CERTH_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-certh-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_CERTH_GR
                  value: "lovd"
                - name: LOVD_HOST_CERTH_GR
                  value: "lovd-certh-gr"
                # eie-gr
                - name: S3_EIE_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-eie-gr
                      key: access_key
                - name: S3_EIE_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-eie-gr
                      key: secret_key
                - name: MYSQL_HOST_EIE_GR
                  value: "mysql-lovd-eie-gr"
                - name: MYSQL_USERNAME_EIE_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-eie-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_EIE_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-eie-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_EIE_GR
                  value: "lovd"
                - name: LOVD_HOST_EIE_GR
                  value: "lovd-eie-gr"
                # fleming-gr
                - name: S3_FLEMING_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-fleming-gr
                      key: access_key
                - name: S3_FLEMING_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-fleming-gr
                      key: secret_key
                - name: MYSQL_HOST_FLEMING_GR
                  value: "mysql-lovd-fleming-gr"
                - name: MYSQL_USERNAME_FLEMING_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-fleming-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_FLEMING_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-fleming-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_FLEMING_GR
                  value: "lovd"
                - name: LOVD_HOST_FLEMING_GR
                  value: "lovd-fleming-gr"
                # forth-gr
                - name: S3_FORTH_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-forth-gr
                      key: access_key
                - name: S3_FORTH_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-forth-gr
                      key: secret_key
                - name: MYSQL_HOST_FORTH_GR
                  value: "mysql-lovd-forth-gr"
                - name: MYSQL_USERNAME_FORTH_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-forth-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_FORTH_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-forth-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_FORTH_GR
                  value: "lovd"
                - name: LOVD_HOST_FORTH_GR
                  value: "lovd-forth-gr"
                # med-uoa-gr
                - name: S3_MED_UOA_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-med-uoa-gr
                      key: access_key
                - name: S3_MED_UOA_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-med-uoa-gr
                      key: secret_key
                - name: MYSQL_HOST_MED_UOA_GR
                  value: "mysql-lovd-med-uoa-gr"
                - name: MYSQL_USERNAME_MED_UOA_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-med-uoa-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_MED_UOA_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-med-uoa-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_MED_UOA_GR
                  value: "lovd"
                - name: LOVD_HOST_MED_UOA_GR
                  value: "lovd-med-uoa-gr"
                # rrp-demokritos-gr
                - name: S3_RRP_DEMOKRITOS_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-rrp-demokritos-gr
                      key: access_key
                - name: S3_RRP_DEMOKRITOS_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-rrp-demokritos-gr
                      key: secret_key
                - name: MYSQL_HOST_RRP_DEMOKRITOS_GR
                  value: "mysql-lovd-rrp-demokritos-gr"
                - name: MYSQL_USERNAME_RRP_DEMOKRITOS_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-rrp-demokritos-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_RRP_DEMOKRITOS_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-rrp-demokritos-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_RRP_DEMOKRITOS_GR
                  value: "lovd"
                - name: LOVD_HOST_RRP_DEMOKRITOS_GR
                  value: "lovd-rrp-demokritos-gr"
                # uoc-gr
                - name: S3_UOC_GR_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-uoc-gr
                      key: access_key
                - name: S3_UOC_GR_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-uoc-gr
                      key: secret_key
                - name: MYSQL_HOST_UOC_GR
                  value: "mysql-lovd-uoc-gr"
                - name: MYSQL_USERNAME_UOC_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-uoc-gr-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_UOC_GR
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-uoc-gr-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_UOC_GR
                  value: "lovd"
                - name: LOVD_HOST_UOC_GR
                  value: "lovd-uoc-gr"
                # testers
                - name: S3_TESTERS_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-testers
                      key: access_key
                - name: S3_TESTERS_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-testers
                      key: secret_key
                - name: MYSQL_HOST_TESTERS
                  value: "mysql-lovd-testers"
                - name: MYSQL_USERNAME_TESTERS
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-testers-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_TESTERS
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-testers-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_TESTERS
                  value: "lovd"
                - name: LOVD_HOST_TESTERS
                  value: "lovd-testers"
                # testing vast
                - name: S3_TESTING_VAST_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-testing-vast
                      key: access_key
                - name: S3_TESTING_VAST_SECRET_KEY
                  valueFrom:
                    secretKeyRef:
                      name: s3-testing-vast
                      key: secret_key
                - name: MYSQL_HOST_TESTING_VAST
                  value: "mysql-lovd-testing-vast"
                - name: MYSQL_USERNAME_TESTING_VAST
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-testing-vast-crendentials
                      key: MYSQL_USER
                - name: MYSQL_PASSWORD_TESTING_VAST
                  valueFrom:
                    secretKeyRef:
                      name: mysql-lovd-testing-vast-crendentials
                      key: MYSQL_PASSWORD
                - name: MYSQL_DATABASE_TESTING_VAST
                  value: "lovd"
                - name: LOVD_HOST_TESTING_VAST
                  value: "lovd-testing-vast"
                - name: QUAL_THRESHOLD
                  value: "500"
                - name: MONGODB_PASSWORD
                  valueFrom:
                    secretKeyRef:
                      name: precmed-mongodb
                      key: mongodb-root-password
                - name: MONGODB_DATABASE
                  value: precmed
                - name: MONGODB_USER
                  value: root
                - name: MONGODB_ENDPOINT
                  value: precmed-mongodb.default.svc.cluster.local
                - name: MONGODB_PORT
                  value: "27017"
                - name: MONGODB_AUTHENTICATION_SOURCE
                  value: admin
          activeDeadlineSeconds: 82800
          restartPolicy: Never
